import { createContext, useContext } from 'react';
export var FormChildrenContext = createContext(null);
FormChildrenContext.displayName = 'ZentFormChildrenContext';
export function useFormChildrenContext() {
    var ctx = useContext(FormChildrenContext);
    if (ctx === null) {
        throw new Error('Component must be used under Form');
    }
    return ctx;
}
export var FormContext = createContext({});
